Name:             python-sphinxcontrib-spelling
Version:          7.6.0
Release:          1
Summary:          Sphinx-based documentation spell checker
License:          BSD
URL:              https://github.com/sphinx-contrib/spelling
Source0:          https://files.pythonhosted.org/packages/source/s/sphinxcontrib-spelling/sphinxcontrib-spelling-%{version}.tar.gz
BuildArch:        noarch
BuildRequires:    python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-devel python%{python3_pkgversion}-pbr
BuildRequires:    python%{python3_pkgversion}-fixtures python%{python3_pkgversion}-six
BuildRequires:    python%{python3_pkgversion}-enchant python%{python3_pkgversion}-sphinx hunspell-en hunspell-de
BuildRequires:    python%{python3_pkgversion}-pytest

%description
It contains sphinxcontrib.spelling, a spell checker for
Sphinx-based documents. It uses PyEnchant to generate
reports showing misspelled words.

%package -n       python%{python3_pkgversion}-sphinxcontrib-spelling
Summary:          Sphinx-based documentation spell checker
%{?python_provide:%python_provide python%{python3_pkgversion}-sphinxcontrib-spelling}
Requires:         python%{python3_pkgversion}-enchant python%{python3_pkgversion}-six
Requires:         python%{python3_pkgversion}-sphinx

%description -n python%{python3_pkgversion}-sphinxcontrib-spelling
It contains sphinxcontrib.spelling, a spell checker for
Sphinx-based documents. It uses PyEnchant to generate
reports showing misspelled words.

%prep
%autosetup -p0 -n sphinxcontrib-spelling-%{version}

%build
%py3_build

%install
%py3_install

%check
pytest

%files -n python%{python3_pkgversion}-sphinxcontrib-spelling
%doc README LICENSE
%{python3_sitelib}/sphinxcontrib*

%changelog
* Thu Jul 07 2022 wangkai <wangkai385@h-partners.com> - 7.6.0-1
- Update to 7.6.0

* Sat Jan 08 2022 Ge Wang <wangge20@huawei.com> - 4.2.1-3
- Use unittest replace nose due to python-nose is abandonted

* Tue Aug 11 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 4.2.1-2
- Remove unused tar package

* Mon Aug 10 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 4.2.1-1
- Update to 4.2.1

* Wed Jan 8 2020 likexin <likexin4@huawei.com> - 4.2.0-2
- package init
